## CGAL::Delaunay_mesh_face_base_2<Traits, Fb>

### Definition

The class Delaunay_mesh_face_base_2<Traits, Fb> is a model for the concept DelaunayMeshFaceBase_2.

This class can be used directly or it can serve as a base to derive other classes with some additional attributes (a color for example) tuned to a specific application.

#include <CGAL/Delaunay_mesh_face_base_2.h>

### Parameters

- The first parameter Traits is the geometric traits class. It must be the same as the one used for the Delaunay mesh.
- The second parameter Fb is the base class from which Delaunay_mesh_face_base_2<Traits, Fb> derives. It must be a model of the TriangulationFaceBase_2 concept.

### Inherits From

Fb

### Is Model for the Concept

DelaunayMeshFaceBase_2